User: Password:
|
|
Subscribe / Log in / New account

Mandriva alert MDKSA-2007:001 (libmodplug)

From:  security@mandriva.com
To:  security-announce@mandrivalinux.org
Subject:  [Security Announce] [ MDKSA-2007:001 ] - Update libmodplug packages fix buffer overflow vulnerabilities
Date:  Tue, 02 Jan 2007 10:55:01 -0700

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 _______________________________________________________________________ Mandriva Linux Security Advisory MDKSA-2007:001 http://www.mandriva.com/security/ _______________________________________________________________________ Package : libmodplug Date : January 2, 2007 Affected: 2007.0 _______________________________________________________________________ Problem Description: Multiple buffer overflows in MODPlug Tracker (OpenMPT) 1.17.02.43 and earlier and libmodplug 0.8 and earlier allow user-assisted remote attackers to execute arbitrary code via (1) long strings in ITP files used by the CSoundFile::ReadITProject function in soundlib/Load_it.cpp and (2) crafted modules used by the CSoundFile::ReadSample function in soundlib/Sndfile.cpp, as demonstrated by crafted AMF files. Updated packages are patched to address this issue. _______________________________________________________________________ References: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4192 _______________________________________________________________________ Updated Packages: Mandriva Linux 2007.0: c710c50a92587abd6f55078af2da22e7 2007.0/i586/libmodplug0-0.7-7.1mdv2007.0.i586.rpm 4cf79b5be35cdf2e4d22af922140d32e 2007.0/i586/libmodplug0-devel-0.7-7.1mdv2007.0.i586.rpm 68181a6907f78b10d3b0c379ca3fd76b 2007.0/SRPMS/libmodplug-0.7-7.1mdv2007.0.src.rpm Mandriva Linux 2007.0/X86_64: fe5b2a2b546f98922a124b4f52cbf202 2007.0/x86_64/lib64modplug0-0.7-7.1mdv2007.0.x86_64.rpm 2b10aaf2fefcaef82512b42910d88408 2007.0/x86_64/lib64modplug0-devel-0.7-7.1mdv2007.0.x86_64.rpm 68181a6907f78b10d3b0c379ca3fd76b 2007.0/SRPMS/libmodplug-0.7-7.1mdv2007.0.src.rpm _______________________________________________________________________ To upgrade automatically use MandrivaUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you. All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing: gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98 You can view other update advisories for Mandriva Linux at: http://www.mandriva.com/security/advisories If you want to report vulnerabilities, please contact security_(at)_mandriva.com _______________________________________________________________________ Type Bits/KeyID Date User ID pub 1024D/22458A98 2000-07-10 Mandriva Security Team <security*mandriva.com> -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.6 (GNU/Linux) iD8DBQFFmnIzmqjQ0CJFipgRAvXJAKCZgqDu2+ZEfIKMCK5eK+9ZRXSl0wCg8yjL xLoJFnjhI1dTrOo4FGnqcaw= =eJpG -----END PGP SIGNATURE----- To unsubscribe, send a email to sympa@mandrivalinux.org with this subject : unsubscribe security-announce _______________________________________________________ Want to buy your Pack or Services from Mandriva? Go to http://www.mandrivastore.com Join the Club : http://www.mandrivaclub.com _______________________________________________________


(Log in to post comments)


Copyright © 2017, Eklektix, Inc.
Comments and public postings are copyrighted by their creators.
Linux is a registered trademark of Linus Torvalds